Subject: Re: [ippm] Last Call Expired: <draft-ietf-ippm-twamp-yang-09.txt>

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 22 May 2018 10:11:08 -0500

On Fri, Apr 27, 2018 at 2:15 AM DraftTracker Mail System <
[email-masked]> wrote:

>
> Please DO NOT reply to this email.
>
> I-D: <draft-ietf-ippm-twamp-yang-09.txt>
> Datatracker URL:
> https://datatracker.ietf.org/doc/draft-ietf-ippm-twamp-yang/
>
> IETF Last Call has ended, and the state has been changed to
> Waiting for Writeup.
>

So, just following up, it looks like there's still one conversation from
Last Call (on string vs sequence) that still needs to be reflected in a
-11, is that right?

Thanks,

Spencer

---

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 23 May 2018 06:58:23 -0400

Hi Spencer,

Mahesh Jethanandani
[email-masked]

> On May 22, 2018, at 11:11 AM, Spencer Dawkins at IETF <[email-masked]> wrote:
> 
> 
> 
>> On Fri, Apr 27, 2018 at 2:15 AM DraftTracker Mail System <[email-masked]> wrote:
>> 
>> Datatracker URL: https://datatracker.ietf.org/doc/draft-ietf-ippm-twamp-yang/
>> 
> So, just following up, it looks like there's still one conversation from Last Call (on string vs sequence) that still needs to be reflected in a -11, is that right?

It was my understanding in our discussion with Tom, that he felt IETF was conflicted on the definition of keys as 'string' or 'binary'. His last thought on it was this:

> Perhaps binary, as you had it originally, is best but I do think that
> the IETF is confused, or conflicted, here.

which we reflected in -10 version of the draft.

Cheers.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 23 May 2018 07:47:19 -0500

Hi, Mahesh,

On May 23, 2018 5:58 AM, "Mahesh Jethanandani" <[email-masked]>
wrote:

Hi Spencer,

Mahesh Jethanandani
[email-masked]

On May 22, 2018, at 11:11 AM, Spencer Dawkins at IETF <
[email-masked]> wrote:

It was my understanding in our discussion with Tom, that he felt IETF was
conflicted on the definition of keys as 'string' or 'binary'. His last
thought on it was this:

I could believe that ...

So, Nalini, is -10 ready for Last Call?

Spencer

Cheers.

Thanks,

Spencer

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 23 May 2018 07:49:18 -0500

Sorry, still drinking diet coke ...

On May 23, 2018 7:47 AM, "Spencer Dawkins at IETF" <
[email-masked]> wrote:

Hi, Mahesh,

Hi Spencer,

Mahesh Jethanandani
[email-masked]

I could believe that ...

Or, now that I am more awake, "ready for the IESG"?

Spencer

Spencer

Cheers.

Thanks,

Spencer

---

From: Nalini J Elkins <[email-masked]>
Date: Wed, 23 May 2018 14:33:16 +0000 (UTC)

On May 23, 2018 7:47 AM, "Spencer Dawkins at IETF" <[email-masked]> wrote:

Hi, Mahesh,

On May 23, 2018 5:58 AM, "Mahesh Jethanandani" <[email-masked]> wrote:

Hi Spencer,

Mahesh [email-masked]
On May 22, 2018, at 11:11 AM, Spencer Dawkins at IETF <[email-masked] > wrote:

I-D: <draft-ietf-ippm-twamp-yang-09 .txt>
Datatracker URL: https://datatracker.ietf.org/d oc/draft-ietf-ippm-twamp-yang/

I could believe that ...

> Or, now that I am more awake, "ready for the IESG"?
Yes, I believe it is.
Nalini

---

From: "t.petch" <[email-masked]>
Date: Wed, 23 May 2018 17:24:17 +0100

----- Original Message -----
From: "Spencer Dawkins at IETF" <[email-masked]>
Sent: Wednesday, May 23, 2018 1:49 PM

Spencer

Perhaps you should try the 'real thing' :-)

I am happy with binary but my last post, May 5th, said I was unhappy
with 'an octet    string of arbitrary length ',
as  a description of the secret key,  as YANG (RFC7950)  says that a
binary type is
'a sequence    of octets.'
and not a string thereof,

i.e. I was asking for /string/sequence/ which is precisely the topic of
the post you made yesterday, 22nd May, but which has since got lost:-(

Tom Petch

> Or, now that I am more awake, "ready for the IESG"?

------------------------------------------------------------------------
--------

> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
>

---

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 23 May 2018 16:23:12 -0400

Hi Tom,

I missed that you were asking for a change in text of the draft, and not just the type in the YANG model itself.

See inline

Mahesh Jethanandani
[email-masked]

> On May 23, 2018, at 12:24 PM, t.petch <[email-masked]> wrote:
> 
> 

If I understand you correctly, you are saying that in Section 4.1 you want this change:

OLD:

The secret-key is the shared secret, an octet string of arbitrary length whose interpretation as a text string is unspecified.

NEW:

The secret-key is the shared secret, a sequence of octets of arbitrary length whose interpretation is unspecified.

Spencer, once Tom confirms this change, do you want me to submit a new id for it.

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Wed, 23 May 2018 15:50:42 -0500

Hi, Mahesh and Tom,
On Wed, May 23, 2018 at 3:23 PM Mahesh Jethanandani <[email-masked]>

> just the type in the YANG model itself.

I missed that as well - my apologies! (and I have to make it on diet Coke,
because I'm diabetic enough already!)

> The secret-key is the shared secret, an octet
>    string of arbitrary length whose interpretation as a text string is
>    unspecified.
>
>
> NEW:
>
>
For a one-line change, that would be fine.

Spencer

> On May 23, 2018 5:58 AM, "Mahesh Jethanandani"
>
> <[email-masked]>
>
> wrote:
>
>
> Hi Spencer,
>
>
> Mahesh Jethanandani
>
> [email-masked]
>
>
> Datatracker URL: https://datatracker.ietf.org/d
>
> oc/draft-ietf-ippm-twamp-yang/
>
>
> So, just following up, it looks like there's still one conversation
>
> from
>
> Last Call (on string vs sequence) that still needs to be reflected in
>
> a
>
> -11, is that right?
>
>
>
> It was my understanding in our discussion with Tom, that he felt IETF
>
> was
>

---

From: "t.petch" <[email-masked]>
Date: Fri, 25 May 2018 11:39:51 +0100

Mahesh

Yes, your proposed wording satisfies my objection,

Tom Petch

----- Original Message -----
From: "Mahesh Jethanandani" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "Spencer Dawkins at IETF" <[email-masked]>;
<[email-masked]>; <[email-masked]>
Sent: Wednesday, May 23, 2018 9:23 PM

Hi Tom,

I missed that you were asking for a change in text of the draft, and not
just the type in the YANG model itself.

See inline

Mahesh Jethanandani
[email-masked]

> the post you made yesterday, 22nd May, but which has since got lost:-(

If I understand you correctly, you are saying that in Section 4.1 you
want this change:

OLD:

The secret-key is the shared secret, an octet string of arbitrary length
whose interpretation as a text string is unspecified.

NEW:

The secret-key is the shared secret, a sequence of octets of arbitrary
length whose interpretation is unspecified.

Spencer, once Tom confirms this change, do you want me to submit a new
id for it.

---

From: Mahesh Jethanandani <[email-masked]>
Date: Fri, 25 May 2018 21:26:19 -0400

Hi Spencer,

I believe this version of the draft addresses Tom’s comments.

https://tools.ietf.org/html/draft-ietf-ippm-twamp-yang-11 <https://tools.ietf.org/html/draft-ietf-ippm-twamp-yang-11>

Cheers.

> On May 25, 2018, at 6:39 AM, t.petch <[email-masked]> wrote:
> 
> Mahesh
> 

Mahesh Jethanandani
[email-masked]

---

From: "t.petch" <[email-masked]>
Date: Sat, 26 May 2018 12:29:08 +0100

----- Original Message -----
From: "Mahesh Jethanandani" <[email-masked]>
Sent: Saturday, May 26, 2018 2:26 AM

Hi Spencer,

https://tools.ietf.org/html/draft-ietf-ippm-twamp-yang-11
<https://tools.ietf.org/html/draft-ietf-ippm-twamp-yang-11>

<tp>

I agree

Tom Petch

Cheers.

>> ---------------------------------------------------------------------
-
> --

Mahesh Jethanandani
[email-masked]

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Sat, 26 May 2018 17:25:06 -0500

> <https://tools.ietf.org/html/draft-ietf-ippm-twamp-yang-11>

Thank you both for catching and fixing this!

Spencer